phamm_0.6.5-1ubuntu1_all.deb


Advertisement

Description

phamm - PHP front-end to manage virtual services on LDAP - main package

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename phamm_0.6.5-1ubuntu1_all.deb
Package name phamm
Package version 0.6.5
Package release 1ubuntu1
Package architecture all
Package type deb
Category universe/web
Homepage http://www.phamm.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 484.03 KB
Installed size 1.51 MB
Phamm is a useful PHP front-end providing role-based administrative
access to virtual services using an LDAP back-end.
If you are looking for a Postfix LDAP Front-end Phamm could be a good solution.
Other MTA's can be used like qmail-ldap, Courier, Exim and Dovecot.
Phamm works with a plug-in system: the typical service is a mail
server with virtual mail domain support, but plug-ins are also
available for FTP, web proxying, and so on. The use of XML descriptor
files simplifies creating new plugins or customizing existing ones.

Alternatives

Package Version Architecture Repository
phamm_0.6.5-1ubuntu1_all.deb 0.6.5 all Ubuntu Universe
phamm - - -

Requires

Name Value
debconf >= 0.5
debconf-2.0 -
dpkg >= 1.15.7.2
php -
php-ldap -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package phamm_0.6.5-1ubuntu1_all.deb
Source Package phamm

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install phamm deb package:
    # sudo apt-get install phamm

Files

Path
/etc/apache2/conf-available/phamm.conf
/etc/logrotate.d/phamm
/etc/phamm/plugins/alias.xml
/etc/phamm/plugins/davical.xml
/etc/phamm/plugins/ftp.xml
/etc/phamm/plugins/jabber.xml
/etc/phamm/plugins/mail.xml
/etc/phamm/plugins/person.xml
/etc/phamm/plugins/proxy.xml
/etc/phamm/plugins/sharing.xml
/usr/share/doc/phamm/PHAMM-LOGO-USE.POLICY
/usr/share/doc/phamm/README
/usr/share/doc/phamm/README.PLUGINS
/usr/share/doc/phamm/THANKS
/usr/share/doc/phamm/TODO
/usr/share/doc/phamm/TODO.Debian
/usr/share/doc/phamm/changelog.Debian.gz
/usr/share/doc/phamm/copyright
/usr/share/doc/phamm/DTD/phamm-plugins.dtd
/usr/share/phamm/.gitignore
/usr/share/phamm/INSTALL
/usr/share/phamm/README.locales
/usr/share/phamm/README.md
/usr/share/phamm/config.inc.example.php
/usr/share/phamm/configure-stamp
/usr/share/phamm/doc
/usr/share/phamm/index.php
/usr/share/phamm/plugins
/usr/share/phamm/welcome_message.txt
/usr/share/phamm/.pc/.quilt_patches
/usr/share/phamm/.pc/.quilt_series
/usr/share/phamm/.pc/.version
/usr/share/phamm/.pc/applied-patches
/usr/share/phamm/.pc/php7_has_removed_ereg.patch/controllers/helpers.php
/usr/share/phamm/.pc/php7_has_removed_ereg.patch/views/helpers.php
/usr/share/phamm/DTD/phamm-plugins.dtd
/usr/share/phamm/controllers/helpers.php
/usr/share/phamm/docs/install.pdf
/usr/share/phamm/docs/install.txt
/usr/share/phamm/docs/install.xml
/usr/share/phamm/docs/manpage.links
/usr/share/phamm/docs/manpage.refs
/usr/share/phamm/docs/phamm_history-it.pdf
/usr/share/phamm/docs/phamm_history-it.sgml
/usr/share/phamm/lib/ldap.php
/usr/share/phamm/lib/locale.php
/usr/share/phamm/lib/log.php
/usr/share/phamm/lib/login.php
/usr/share/phamm/lib/plugin.php
/usr/share/phamm/locales/da_DK/LC_MESSAGES/messages.mo
/usr/share/phamm/locales/de_DE/LC_MESSAGES/messages.mo
/usr/share/phamm/locales/es_ES/LC_MESSAGES/messages.mo
/usr/share/phamm/locales/fr_FR/LC_MESSAGES/messages.mo
/usr/share/phamm/locales/hu_HU/LC_MESSAGES/messages.mo
/usr/share/phamm/locales/it_IT/LC_MESSAGES/messages.mo
/usr/share/phamm/locales/pl_PL/LC_MESSAGES/messages.mo
/usr/share/phamm/locales/pt_BR/LC_MESSAGES/messages.mo
/usr/share/phamm/locales/ru/LC_MESSAGES/messages.mo
/usr/share/phamm/locales/ru_RU/LC_MESSAGES/messages.mo
/usr/share/phamm/locales/vi/LC_MESSAGES/messages.mo
/usr/share/phamm/locales/vi_VN/LC_MESSAGES/messages.mo
/usr/share/phamm/po/da_DK.po
/usr/share/phamm/po/de_DE.po
/usr/share/phamm/po/es_ES.po
/usr/share/phamm/po/fr_FR.po
/usr/share/phamm/po/hu_HU.po
/usr/share/phamm/po/it_IT.po
/usr/share/phamm/po/phamm.pot
/usr/share/phamm/po/pl_PL.po
/usr/share/phamm/po/pt_BR.po
/usr/share/phamm/po/ru.po
/usr/share/phamm/po/vi_VN.po
/usr/share/phamm/public/functions.js
/usr/share/phamm/public/index.php
/usr/share/phamm/public/main.php
/usr/share/phamm/public/css/bootstrap-responsive.css
/usr/share/phamm/public/css/bootstrap-responsive.min.css
/usr/share/phamm/public/css/bootstrap-theme.css
/usr/share/phamm/public/css/bootstrap-theme.min.css
/usr/share/phamm/public/css/bootstrap.css
/usr/share/phamm/public/css/bootstrap.min.css
/usr/share/phamm/public/fonts/glyphicons-halflings-regular.eot
/usr/share/phamm/public/fonts/glyphicons-halflings-regular.svg
/usr/share/phamm/public/fonts/glyphicons-halflings-regular.ttf
/usr/share/phamm/public/fonts/glyphicons-halflings-regular.woff
/usr/share/phamm/public/img/FALSE.png
/usr/share/phamm/public/img/TRUE.png
/usr/share/phamm/public/img/phamm_100.png
/usr/share/phamm/public/img/phamm_icon.png
/usr/share/phamm/public/img/phamm_logo.svg
/usr/share/phamm/public/img/smile.png
/usr/share/phamm/public/img/waiting.png
/usr/share/phamm/public/js/bootbox.min.js
/usr/share/phamm/public/js/bootstrap.js
/usr/share/phamm/public/js/bootstrap.min.js
/usr/share/phamm/public/style/phamm/main.css
/usr/share/phamm/public/style/phamm/phamm.css
/usr/share/phamm/public/style/phamm/img/FALSE.png
/usr/share/phamm/public/style/phamm/img/TRUE.png
/usr/share/phamm/public/style/phamm/img/navigation.png
/usr/share/phamm/views/helpers.php

Changelog

2017-05-29 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
phamm (0.6.5-1ubuntu1) artful; urgency=medium
* Merge with Debian unstable. Remaining changes:
- Fix Apache configuration to use mod_php7.c, not mod_php5.c.
- debian/patches/php7_has_removed_ereg.patch: PHP7.0 has removed
ereg as an API.  Closes LP #1570968.
2016-07-12 - Alessandro De Zorzi <lota@nonlontano.it>
phamm (0.6.5-1) unstable; urgency=medium
* New upstream release
* Added Danish debconf translation (Thx to Joe Dalton) Closes: #830655
2016-06-23 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
phamm (0.6.2-2ubuntu1) yakkety; urgency=medium
* Merge with Debian unstable (LP: #1595746). Remaining changes:
- Fix Apache configuration to use mod_php7.c, not mod_php5.c.
* debian/patches/php7_has_removed_ereg.patch: PHP7.0 has removed ereg
as an API.  Closes LP: #1570968.
2016-05-31 - Alessandro De Zorzi <lota@nonlontano.it>
phamm (0.6.2-2) unstable; urgency=medium
* PHP 7.0 Transition Fix (Closes: #821544)
* Updated Dutch translation (Closes: #774586)
* Added Brazilian Portuguese (Closes: #824285)
2016-03-28 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
phamm (0.6.2-1.2ubuntu1) xenial; urgency=medium
* Update to PHP7.0 dependencies (LP: #1562950).
2014-12-04 - Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>
phamm (0.6.2-1.2) unstable; urgency=medium
* Non-maintainer upload.
* d/contol: Add Pre-Depends on dpkg >= 1.15.7.2 in phamm package to ensure
we are not using an obsolete dpkg with d/phamm.maintscript.
2014-11-14 - Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>
phamm (0.6.2-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Add support for apache2.4 (Closes: #669841):
-  Move conffile from /etc/phamm/apache.conf to
/etc/apache2/conf-available/phamm.conf
-  let dh_apache2 handle the conffile
-  drop debconf entries reconfigure-webserver and restart-webserver: Only
apache2 is supported, and dh_apache2 causes automatic reload.
-  Remove obsolete apache1 and apache2.2 conf.d/ links on upgrade.
* Added Dutch translation (Closes: #763643). Thanks Frans Spiesschaert.
2014-07-15 - Alessandro De Zorzi <lota@nonlontano.it>
phamm (0.6.2-1) unstable; urgency=low
* New upstream release (Closes: #750518)
* Standard-Version bumped to 3.9.5, copyright format 1.0.
2010-04-12 - Alessandro De Zorzi <lota@nonlontano.it>
phamm (0.5.18-3) unstable; urgency=high
* Fixed debian/phamm.config (Closes: #599282) thanks to Ubuntu see patch 0.5.18-2ubuntu1
* Switch to dpkg-source 3.0 (quilt) format
2010-04-02 - Alessandro De Zorzi <lota@nonlontano.it>
phamm (0.5.18-2) unstable; urgency=low
* Adjusted conflict with gnarwl (<= 3.3) 
* Removed slapd restart (phamm-ldap)
* Fixed phamm-ldap-vacation installation

See Also

Package Description
phantomjs_2.1.1+dfsg-2_amd64.deb minimalistic headless WebKit-based browser with JavaScript API
phasex_0.14.97-3_amd64.deb Phase Harmonic Advanced Synthesis EXperiment
phast_1.5+dfsg-1_amd64.deb phylogenetic analysis with space/time models
phenny_2~hg28-3_all.deb extensible IRC bot written in Python
phing_2.16.1-1_all.deb PHP5 project build system based on Apache Ant
phipack_0.0.20160614-3_amd64.deb PHI test and other tests of recombination
phlipple-data_0.8.5-4build1_all.deb reduce 3D shapes to a single square - game data
phlipple_0.8.5-4build1_amd64.deb reduce 3D shapes to a single square
phnxdeco_0.33-3build1_amd64.deb Decompress flashfiles equipped with a PHOENIX BIOS
phonon-backend-gstreamer-common_4.9.0-1_amd64.deb Phonon GStreamer 1.0.x backend icons
phonon-backend-gstreamer_4.9.0-1_amd64.deb Phonon GStreamer 1.0 backend
phonon-backend-null_4.10.2-1_amd64.deb multimedia framework from KDE - null back-end (no real back-end)
phonon-backend-vlc_0.10.2-1_amd64.deb Phonon VLC backend
phonon4qt5-backend-gstreamer_4.9.0-1_amd64.deb Phonon Qt5 GStreamer 1.0 backend
phonon4qt5-backend-null_4.10.2-1_amd64.deb multimedia framework from KDE using Qt 5 - null back-end (no real back-end)
Advertisement
Advertisement